package com.borcon.aop.business;

import java.util.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public class ForumManager {

  private ArrayList forums;

  //--------------------------------------------------------

  public ForumManager() {
    forums = new ArrayList();
  }

  //--------------------------------------------------------

  public void addForum(Forum forum, User user) {
    if(forum == null) {
      throw new IllegalArgumentException("'forum' ne peut pas tre nul");
    }

    forums.add(forum);
  }

  public List getForums(User user) {
    return (List) forums.clone();
  }
}