package com.borcon.aop.business;

import com.borcon.aop.security.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public class Message extends Resource {

  private Forum forum;
  private String body;

  //--------------------------------------------------------

  public Message() {
  }

  public Message(String title, String body) {
    this.title = title;
    this.body = body;
  }

  //--------------------------------------------------------

  void setForum(Forum forum) {
    this.forum = forum;
  }

  public Forum getForum() {
    return forum;
  }

  //--------------------------------------------------------

  void setBody() {
    this.body = body;
  }

  public String getBody(User user) throws PermissionException {
    return body == null ? "Message non spcifi" : body;
  }
}