package com.borcon.aop.business;

import com.borcon.aop.security.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public abstract class Resource {

  protected String title;

  //--------------------------------------------------------

  void setTitle(String title) {
    this.title = title;
  }

  public String getTitle(User user) throws PermissionException {
    return title == null ? "Titre non spcifi" : title;
  }

  //--------------------------------------------------------

  public boolean allow(User user) {
    return true;
  }
}