package com.borcon.aop.security;

import java.util.*;
import com.borcon.aop.business.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public aspect Strategy1 {

  pointcut getForums(User user) :
        execution(* ForumManager.getForums(User)) && args(user);

  after(User user) returning (List l) : getForums(user) {
    if(user == null) {
      l.clear();
    }
  }
}
