package com.borcon.aop.security;

import com.borcon.aop.business.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public aspect Strategy3 {
  pointcut getMessage(User user) :
      execution(* Message.getBody(User)) && args(user);

  after(User user) throws PermissionException : getMessage(user) {
    if(user == null) {
      throw new PermissionException();
    }
  }
}