package com.borcon.aop.application;

import javax.swing.*;
import java.util.*;

/**
 * Borcon 2002 : 2106 - Programmation oriente aspect
 * @author Emmanuel Boudrant, Olivier Mangez
 *
 * Pour plus d'information :
 *   http://www.mangez.info
 *   http://www.mycgiserver.com/~eboudrant/borcon2002/
 */

public class CollectionListModel extends AbstractListModel {

  private List content;

  public void setContent(List content) {
    int oldSize = getSize();
    this.content = content;
    fireContentsChanged(this, 0, oldSize);
  }

  public int getSize() {
    return content == null ? 0 : content.size();
  }

  public Object getElementAt(int index) {
    return getSize() == 0 ? null : content.get(index);
  }
}